RPresence for R v. 4.0 Issue

posts related to the RPresence library, which may not be of general interest to users of 'classic' PRESENCE.

RPresence for R v. 4.0 Issue

Postby mdyson » Sun Apr 26, 2020 3:30 pm

Has anyone been able to successfully load RPresence into the new version of R?

I get the following error when I do:

Code: Select all
library(RPresence)
Error: package or namespace load failed for ‘RPresence’:
 package ‘RPresence’ was installed before R 4.0.0: please re-install it


I re-installed the package and it installs fine, but still will not load even after restarting R a few times. Hoping for some trouble shooting tips.

Thanks,

Matt
mdyson
 
Posts: 6
Joined: Wed Apr 01, 2020 8:28 am

Re: RPresence for R v. 4.0 Issue

Postby mdyson » Mon Apr 27, 2020 8:24 am

As an update, I did manage to get it running again by switching back to a previous version of R.

If anyone has any tips or tricks to get it running in 4.0 it would be greatly appreciated.

Matt
mdyson
 
Posts: 6
Joined: Wed Apr 01, 2020 8:28 am

Re: RPresence for R v. 4.0 Issue

Postby jhines » Fri May 15, 2020 11:33 am

I've update RPresence to version 2.13.1 using R version 4.0.0. If you update R to version 4.0, you'll need to update RPresence.
jhines
 
Posts: 506
Joined: Fri May 16, 2003 9:24 am
Location: Laurel, MD, USA


Return to RPresence

Who is online

Users browsing this forum: No registered users and 3 guests